package cn.com.countrygarden.bi.main.service;

import cn.com.countrygarden.bi.main.model.MarketingCharge;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.MarketingUploadFile;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;

public interface MarketingChargeService extends Service<MarketingCharge> {
    Workbook processingExcelValue(Workbook workbook, MarketingUploadFile uploadFile, TbSysUser sysUser);

    MarketingCharge findByUk(int year, int month, int commId);

    MarketingCharge sumThisYear();
    List<MarketingCharge> sumThisYearBySeason();

    List<MarketingCharge> rankingByOrgan(int season, int offset, int limit);

    List<MarketingCharge> search(int month, String search, int offset, int limit);
    boolean softDelete(int id, TbSysUser sysUser);
}
